## org.apache.felix.bundleplugin
Class BundleInfo

    java.lang.Object
      org.apache.felix.bundleplugin.BundleInfo

    public class BundleInfo

extends java.lang.Object

Information result of the bundling process

Version:
  $Id: BundleInfo.java 616192 2008-01-29 07:45:57Z mcculls $
Author:
  Carlos Sanchez

Constructor Summary
`BundleInfo()`

Method Summary
`void` `addExportedPackage(java.lang.String packageName, org.apache.maven.artifact.Artifact artifact)`
`java.util.Map` `getDuplicatedExports()` Get a list of packages that are exported in more than one bundle.
`protected java.util.Map` `getExportedPackages()`
`void` `merge(BundleInfo bundleInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleInfo

    public BundleInfo()

Method Detail

### addExportedPackage

    public void addExportedPackage(java.lang.String packageName,
                                   org.apache.maven.artifact.Artifact artifact)

### getExportedPackages

    protected java.util.Map getExportedPackages()

### getDuplicatedExports

    public java.util.Map getDuplicatedExports()

  Get a list of packages that are exported in more than one bundle. Key is package name and value list of artifacts where it's exported.

  Returns:
    `Map` < `String`, `Set` < `Artifact` > >

### merge

    public void merge(BundleInfo bundleInfo)

Copyright © 2011. All Rights Reserved.